<?php

	function loadCustomersFromDB() {
		$arr= array();
		
		$servername = "localhost";
		$username = "root";
		$password = "";
		$database = "Amacon";
		
		$conn = new mysqli($servername, $username, $password, $database);
		
		if ($conn->connect_error) {
			die("Connection failed: " . $conn->connect_error);
			return $arr;
		}
		
		$sql = 'SELECT PINDEX, CNR, LASTNAME, FIRSTNAME, STREET, BIRTHDAY FROM customer';
		// $sql = 'SELECT * FROM customer';
		$result = $conn->query($sql);
		if ( $result ){
			while ( $row = $result->fetch_array() ) {
				$customer= new Customer();
				$customer->setpindex( intval($row['PINDEX']) );
				$customer->setcnr(  intval($row['CNR']) );
				$customer->setlastname( trim($row['LASTNAME']) );
				$customer->setfirstname( trim($row['FIRSTNAME']) );
				$customer->setstreet( trim($row['STREET']) );
				$customer->setbirthday( trim($row['BIRTHDAY']) );
				
				$arr[]=$customer;
			} // while
		}
		else {
			die('SQL-Anweisung gescheitert');
		}
		return $arr;
	} // loadCustomsDB
	
	
	function loadCustomerFromDB($pindex) {
		$arr= array();
		
		$servername = "localhost";
		$username = "root";
		$password = "";
		$database = "Amacon";
		
		$conn = new mysqli($servername, $username, $password, $database);
		
		if ($conn->connect_error) {
			die("Connection failed: " . $conn->connect_error);
			return $arr;
		}
		
		$sql = 'SELECT PINDEX, CNR, LASTNAME, FIRSTNAME, STREET, BIRTHDAY ' .
		'FROM customer  WHERE PINDEX=' . $pindex;
		$result = $conn->query($sql);
		$customer= new Customer();
		if ( $result ){
			while ( $row = $result->fetch_array() ) {
				$customer->setpindex(  $row['PINDEX'] );
				$customer->setcnr( $row['CNR'] );
				$customer->setlastname( trim($row['LASTNAME']) );
				$customer->setfirstname( trim($row['FIRSTNAME']) );
				$customer->setstreet( trim($row['STREET']) );
				$customer->setbirthday( trim($row['BIRTHDAY']) );
			} // while
		}
		else {
			die('SQL-Anweisung gescheitert');
		}
		return $customer;
	} // loadCustomer
	
	
	
	
	function sqlupdateCustomerDB($pindex, $customer) {
		$sql = 'UPDATE customer ' .
		'SET  ' .
		' `CNR`=' . $customer->getcnr() . ', ' .
		' `LASTNAME`=' . $customer->lastnamequoted() . ', ' .
		' `FIRSTNAME`=' . $customer->firstnamequoted() . ', ' .
		' `STREET`=' . $customer->streetquoted() . ', ' .
		' `BIRTHDAY`=' . $customer->birthdayquoted() .
		'  WHERE `PINDEX`=' . $pindex;
		return $sql;
	}
	/*
	UPDATE customer
	SET
	`CNR`=12345,
	`LASTNAME`='Meier',
	`FIRSTNAME`='Hans',
	`STREET`='Friedrichstrasse 55',
	`BIRTHDAY`= '2018-03-14'
	WHERE `PINDEX`= 2
	;
	*/
	function updateCustomerDB($pindex, $customer) {
		$sql = 'UPDATE customer ' .
		'SET  ' .
		' `CNR`=' . $customer->getcnr() . ', ' .
		' `LASTNAME`=' . $customer->lastnamequoted() . ', ' .
		' `FIRSTNAME`=' . $customer->firstnamequoted() . ', ' .
		' `STREET`=' . $customer->streetquoted() . ', ' .
		' `BIRTHDAY`=' . $customer->birthdayquoted() .
		'  WHERE `PINDEX`=' . $pindex;
		
		$servername = "localhost";
		$username = "root";
		$password = "";
		$database = "Amacon";
		
		$conn = new mysqli($servername, $username, $password, $database);
		
		if ($conn->connect_error) {
			die("Connection failed: " . $conn->connect_error);
			return false;
		}
		$result = $conn->query($sql);
		return $result;
		
	} // updateCustomerDB
	
	
	
	function insertCustomerDB($customer) {
		$sql = 'INSERT INTO customer(CNR, LASTNAME, FIRSTNAME, STREET,  BIRTHDAY)' .
		' VALUES(  ' .
		' ' . $customer->getcnr() . ', ' .
		' ' . $customer->lastnamequoted() . ', ' .
		' ' . $customer->firstnamequoted() . ', ' .
		' ' . $customer->streetquoted() . ', ' .
		' ' . $customer->birthdayquoted() .
		' )';
		
		$servername = "localhost";
		$username = "root";
		$password = "";
		$database = "Amacon";
		
		$conn = new mysqli($servername, $username, $password, $database);
		
		if ($conn->connect_error) {
			die("Connection failed: " . $conn->connect_error);
			return false;
		}
		$result = $conn->query($sql);
		return $result;
		
	} // insertCustomerDB
	
	
	
	function deleteCustomerDB($pindex) {
		$sql = 'DELETE FROM customer ' .
		'  WHERE `PINDEX`=' . $pindex;
		
		$servername = "localhost";
		$username = "root";
		$password = "";
		$database = "Amacon";
		
		$conn = new mysqli($servername, $username, $password, $database);
		
		if ($conn->connect_error) {
			die("Connection failed: " . $conn->connect_error);
			return false;
		}
		$result = $conn->query($sql);
		return $result;
	} // deleteCustomerDB
	
	
	
	?>
	
